#
# Conditional build:
%bcond_without	tests	# do not perform "make check"

Summary:	A GNU stream text editor
Summary(de.UTF-8):	GNU Stream-Text Editor
Summary(es.UTF-8):	Editor de stream de la GNU
Summary(fr.UTF-8):	Éditeur de flot de GNU
Summary(ja.UTF-8):	GNU ストリームテキストエディター
Summary(pl.UTF-8):	Edytor GNU strumienia tekstu
Summary(pt_BR.UTF-8):	Editor de stream da GNU
Summary(ru.UTF-8):	Потоковый редактор текста GNU
Summary(tr.UTF-8):	GNU dosya işleme aracı
Summary(uk.UTF-8):	Потоковий редактор тексту GNU
Name:		sed
Version:	4.7
Release:	1
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.gnu.org/gnu/sed/%{name}-%{version}.tar.xz
# Source0-md5:	777ddfd9d71dd06711fe91f0925e1573
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	5cd651063bfc00a82d820ba018672351
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/sed/
BuildRequires:	acl-devel
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	gettext-tools >= 0.19.2
BuildRequires:	libselinux-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
%if %{with tests}
BuildRequires:	bash
%if "%(locale -a | grep -q '^ru_RU\.utf8$' ; echo $?)" == "1"
BuildRequires:	glibc-localedb-all
%endif
%endif
Obsoletes:	ssed
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin

%description
The sed (Stream EDitor) editor is a stream or batch (non-interactive)
editor. Sed takes text as input, performs an operation or set of
operations on the text and outputs the modified text. The operations
that sed performs (substitutions, deletions, insertions, etc.) can be
specified in a script file or from the command line.

%description -l de.UTF-8
sed (Stream EDitor) ist ein Stream- oder Batch- (nicht-interaktiver)
Editor. Sed nimmt als Eingabe einen Text, führt darauf Operationen
aus, und gibt einen veränderten Text aus. Die Operationen, die sed
ausführt (Ersetzen, Löschen, Einfügen, usw.) können über eine
Skriptdatei oder über die Kommandozeile angegeben werden.

%description -l es.UTF-8
Sed copia los archivos nombrados (archivos de la entrada padrón por
por defecto) para la salida padrón, editado de acuerdo con un script
de comandos.

%description -l fr.UTF-8
sed copie les fichiers indiqués (l'entrée standard par défaut),
modifiés en fonction d'un script de commandes, vers la sortie
standard.

%description -l ja.UTF-8
sed (Stream Editor)
エディターはストリームまたはバッチ(非インタラクティブ)
エディターです。sed は入力としてテキストを用い、テキストの操作または
操作のセットをテキストとに対して行い、修正されたテキストを出力します。
sed が行う操作 (置換、削除、挿入、その他) はスクリプトファイルか、
コマンドラインから指定されます。

%description -l pl.UTF-8
Sed (Stream EDitor) jest edytorem strumieni lub wsadowym
(nieinteraktywnym) edytorem. Sed pobiera tekst na wejściu, przetwarza
go według zestawu operacji i oddaje na wyjściu przetworzony tekst.
Operacje, które ma wykonywać, mogą być zapisane w postaci skryptu lub
podane w linii poleceń.

%description -l pt_BR.UTF-8
O sed copia os arquivos indicados (ou a entrada padrão caso não
especificado) para a saída padrão, editado de acordo com um roteiro de
comandos.

%description -l ru.UTF-8
sed (Stream EDitor) - это потоковый или пакетный (не-интерактивный)
редактор. sed исполняет операции над подаваемым ему на вход текстом и
выдает модифицированный текст. Операции, которые sed выполняет
(подстановки, удаления, вставки и др.) могут быть заданы в файле
сценария или с командной строки.

%description -l tr.UTF-8
Sed, belirtilen dosyaları, verilen komutlara göre işleyerek standart
çıktıya kopyalar. Genellikle, metin dosyalarında bir katarın yerine
başka bir katar yazmakta kullanılır.

%description -l uk.UTF-8
sed (Stream EDitor) - це потоковий чи пакетний (не-інтерактивний)
редактор. sed виконує операції над текстом, що подається йому на вхід
та виводить модифікований текст. Операції, які sed виконує
(підстановки, видалення, вставки та ін.) можуть бути задані в файлі
сценарію чи з командного рядка.

%prep
%setup -q
%patch0 -p1

# /etc/resolv.conf is stubbed on builders, change to something readable
%{__sed} -i -e 's,"/etc/resolv\.conf","/etc/passwd",' gnulib-tests/test-read-file.c

%build
%configure \
	--disable-silent-rules
%{__make}

# LC_ALL=C overrides LANG which is required to run tests
unset LC_ALL
%{?with_tests:%{__make} check SHELL=/bin/bash}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
%{__rm} $RPM_BUILD_ROOT%{_mandir}/README.sed-non-english-man-pages

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/sed
%{_mandir}/man1/sed.1*
%lang(de) %{_mandir}/de/man1/sed.1*
%lang(fi) %{_mandir}/fi/man1/sed.1*
%lang(hu) %{_mandir}/hu/man1/sed.1*
%lang(ja) %{_mandir}/ja/man1/sed.1*
%lang(pl) %{_mandir}/pl/man1/sed.1*
%{_infodir}/sed.info*
%changelog
* Fri Dec 21 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sed.git;a=log;h=master

* Fri Dec 21 2018 Jan Palus <atler@pld-linux.org> 37d8a79
- up to 4.7

* Thu Dec 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 9496f36
- up to 4.6

* Thu May 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cd01b8f
- up to 4.5

* Wed Feb 08 2017 Jakub Bogusz <qboosh@pld-linux.org> b4660a5
- try to fix gnulib test-read-file test failure on builders; release 2

* Tue Feb 07 2017 Jakub Bogusz <qboosh@pld-linux.org> e5c3200
- updated to 4.4 (segfault fix)

* Tue Jan 24 2017 Jakub Bogusz <qboosh@pld-linux.org> d61d8ea
- .tar.xz dependencies

* Wed Jan 04 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> f47ea29
- up to 4.3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c3d3a5c
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jan 04 2015 Jan Rękorajski <baggins@pld-linux.org> 0fcec13
- remove ac/am regen, breaks testsuite

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f5640a1
- updated gettext BR

* Sun Dec 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 8ba1d00
- added URL, updated auto* deps

* Sun Dec 23 2012 Elan Ruusamäe <glen@delfi.ee> b49dc52
- up to 4.2.2

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> beb67eb
- must not force LC_ALL, builds now

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 82eb48c
- BR: libselinux-devel
- NOTE: currently does not pass tests

* Sat Aug 29 2009 Elan Ruusamäe <glen@pld-linux.org> 54f42f1
- use existing package

* Fri Aug 28 2009 Artur Frysiak <artur@frysiak.net> f314a92
- tests requires ru_RU.utf8
- release 2

* Sat Jul 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ad3a7b
- up to 4.2.1

* Sat May 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f1cebcb
- rel 2

* Sat May 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> bc9ba30
- up to 4.2; follow on symlink now available as option

* Mon Nov 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4228a54
- rel 5; fix relative . dir

